<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
    <%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>添加关键字</title>
<%@include file="/views/common.jsp"%>
<style>
.layui-input,.layui-input-inline{
	width:350px
}
</style>
</head>
<body>
	<div class="layui-input-block layui-form" lay-filter="addUser"
		style="margin-top: 30px">
		<form class="layui-form " action="">
			<div class="layui-form-item">
				<label class="layui-form-label">产品名称</label>
				<div class="layui-input-inline">
					<input type="text" name="proTypeLabel" lay-verify="proTypeLabel"
						placeholder="请输入产品名称" class="layui-input" id="proTypeLabel">
				</div>
			</div>
			<div class="layui-form-item">
				<label class="layui-form-label">菜单URL</label>
				<div class="layui-input-inline">
					<input type="text" name="url" placeholder="请输入菜单URL" class="layui-input" id="url">
				</div>
			</div>
			<div class="layui-form-item">
				<label class="layui-form-label">关键字</label>
				<div class="layui-input-inline">
					<input type="text" name="likeProTypeLabel" placeholder="请输入关键字"
						class="layui-input" id="likeProTypeLabel">
				</div>
			</div>

			<div class="layui-form-item">
				<label class="layui-form-label">状态</label>
				<div class="layui-input-block">
					<input type="radio" name="status" value="1" title="启用" checked="">
					<input type="radio" name="status" value="0" title="禁用">
				</div>
			</div>

			<div class="layui-form-item">
				<div class="layui-input-block">
					<button class="layui-btn" lay-submit="" lay-filter="enadd">确认添加</button>
					<button type="reset" class="layui-btn layui-btn-primary">重置</button>
				</div>
			</div>
		</form>
	</div>
	<script>
		layui.use([ 'form', 'layer' ],function() {
			var $ = layui.$,
			 form = layui.form, 
			layer = layui.layer;

			//自定义验证规则
			form.verify({
				proTypeLabel : function(value, item) { //value：表单的值、item：表单的DOM对象
					if(!new RegExp("^[a-zA-Z0-9_\u4e00-\u9fa5\\s·]+$").test(value)){
						return '种类不能有特殊字符';
					}
				}
			});

			//监听提交
			form.on('submit(enadd)', function(data) {
				$.ajax({
					url : '${path}/addSearchPro',
					dataType : 'json',
					data : $(data.form).serialize(),
					type : 'post',
					success : function(data) {
						if (data.code == 200) {
							layer.msg('录入成功！', {
								icon : 6,
								offset : "auto",
								time : 2000
							});//提示框
						} else {
							layer.msg('录入失败！', {
								icon : 5,
								offset : "auto",
								time : 2000
							});//提示框
						}
						setTimeout(function(){
							var index = parent.layer.getFrameIndex(window.name);//获取窗口索引
							parent.layer.close(index);//关闭弹出层
							parent.layui.table.reload("searchTableAll"); //重新加载页面表格
						}, 2100);
					}
				})
				return false;
			});
		})
	</script>
</body>
</html>